%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global modname tw2.jqplugins.ui

Name:           python-tw2-jqplugins-ui
Version:        2.2.0
Release:        6%{?dist}
Summary:        jQuery UI for ToscaWidgets2

Group:          Development/Languages
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
# https://github.com/toscawidgets/tw2.jqplugins.ui/pull/14
Patch0:         python-tw2-jqplugins-ui-unicode-shim.patch
BuildArch:      noarch

# For building, generally
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:  python-webob1.0 >= 0.9.7
%else
BuildRequires:  python-webob >= 0.9.7
%endif
BuildRequires:  python-tw2-core
BuildRequires:  python-tw2-forms
BuildRequires:  python-tw2-jquery
BuildRequires:  python-paste-deploy

# Specifically for the test suite
BuildRequires:  python-nose
BuildRequires:  python-coverage
BuildRequires:  python-BeautifulSoup
BuildRequires:  python-formencode
BuildRequires:  python-webtest
BuildRequires:  python-strainer

# Templating languages for the test suite
BuildRequires:  python-mako
BuildRequires:  python-genshi


# Runtime requirements
Requires:       python-tw2-core
Requires:       python-tw2-forms
Requires:       python-tw2-jquery

%description
toscawidgets2 (tw2) aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features, faster
and easier. Widgets are re-usable web components that can include a template,
server-side code and JavaScripts/CSS resources. The library aims to be:
flexible, reliable, documented, performant, and as simple as possible.

jQuery is a fast and concise JavaScript Library that simplifies HTML
document traversing, event handling, animating, and Ajax interactions
for rapid web development. jQuery is designed to change the way that
you write JavaScript.

jQuery UI provides abstractions for low-level interaction and animation,
advanced effects and high-level, themeable widgets, built on top of the
jQuery JavaScript Library, that you can use to build highly interactive
web applications.

This module, tw2.jqplugins.ui, provides toscawidgets2 (tw2) access to
jQuery UI widgets.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1

%if 0%{?rhel} && 0%{?rhel} <= 6

# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

# Remove all the fancy nosetests configuration for older python
rm setup.cfg

%endif


%build
%{__python} setup.py build
# This is a hack to get the jqplugins to not stomp all over each others
# namespace declarations.
rm -f build/lib/tw2/jqplugins/__init__.py*

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

#%check
#PYTHONPATH=$(pwd) python setup.py test

%files
%doc README.rst LICENSE.txt

%{python_sitelib}/tw2/jqplugins/ui
%{python_sitelib}/%{modname}-%{version}*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 10 2015 Ralph Bean <rbean@redhat.com> - 2.2.0-3
- Fix rhel conditionals, again.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 13 2014 Ralph Bean <rbean@redhat.com> - 2.2.0-1
- Latest upstream.
- Backported patch https://github.com/toscawidgets/tw2.jqplugins.ui/pull/14

* Thu Nov 13 2014 Ralph Bean <rbean@redhat.com> - 2.0.1-9
- Fixed rhel conditionals.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 06 2013 Ralph Bean <rbean@redhat.com> - 2.0.1-7
- Temporarily disable tests until the 2.2 release.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 07 2012 Ralph Bean <rbean@redhat.com> - 2.0.1-3
- webob version hack in the %%prep section for el6
- removed defattr and spurious buildroot references

* Mon May 07 2012 Ralph Bean <rbean@redhat.com> - 2.0.1-2
- More specific directory ownership.

* Wed Apr 11 2012 Ralph Bean <rbean@redhat.com> - 2.0.1-1
- Packaging latest release.
- Fixing a collision of the tests.

* Wed Apr 11 2012 Ralph Bean <rbean@redhat.com> - 2.0.0-1
- Initial packaging for Fedora
